--[[
	This is a list of spells I've manually confirmed duration for. This is for debugging and adding new spells. End user won't load this code into memory.
]]

local lib = LibStub("LibAuraInfo-1.0");
if(not lib) then error("otherSpellIdData.lua for LibAuraInfo needs library loaded."); return; end



--[===[@debug@
--Durations I've confirmed on WoWHead/WoWWiki. This is so my debug message doesn't alert me to mismatched duration of these spells.
--If durations don't match these, they're probably speced into something.
lib.confirmedDur = {
[57623] = true,--Horn of Winter (Rank 2)
[33763] = true,--Lifebloom (Rank 1)
[48441] = true,--Rejuvenation (Rank 15)
[31665] = true,--Master of Subtlety
[1075] = true,--Thorns (Rank 3)
[58427] = true,--Overkill
[71633] = true,--Thick Skin
[15571] = true,--Dazed
[19615] = true,--Frenzy Effect (Rank 1)
[6774] = true,--Slice and Dice (Rank 2)
[53563] = true,--Beacon of Light
[6788] = true,--Weakened Soul
[48300] = true,--Devouring Plague (Rank 9)
[48936] = true,--Blessing of Wisdom (Rank 9)
[355] = true,--Taunt (DR)
[53477] = true,--Taunt (DR)
[694] = true,--Mocking Blow (DR)
[6795] = true,--Growl (DR)
[56222] = true,--Dark Command (DR)
[62124] = true,--Hand of Reckoning (DR)
[31790] = true,--Righteous Defense (DR)
[20736] = true,--Distracting Shot (DR)
[1161] = true,--Challenging Shout (DR)
[5209] = true,--Challenging Roar (DR)
[49560] = true,--Death Grip (DR)
[51514] = true,--Hex (DR)
[9484] = true,--Shackle Undead (DR)
--~ 	[118] = true,--Polymorph (Rank 1)
--~ 	[3355] = true,--Freezing Trap Effect (Rank 1)
[60210] = true,--Freezing Arrow Effect (Rank 1)
[8983] = true,-- Bash (Rank 3)
[59671] = true,-- Challenging Howl (Demon)
[33786] = true,-- Cyclone (DR)
[60305] = true,-- Heart of a Dragon
[47440] = true,-- Commanding Shout (Rank 3)
[48707] = true,-- Anti-Magic Shell
[61258] = true,-- Runic Return (Rank 2)
[58597] = true,-- Sacred Shield (Rank 1)
[67371] = true,-- Holy Strength
[45529] = true,-- Blood Tap
[48792] = true,--Icebound Fortitude
[12809] = true,-- Concussion Blow (DR)
[6215] = true,-- Fear (Rank 3) (DR)
[55078] = true,-- Blood Plague
[54374] = true,-- Nether Protection
[55095] = true,-- Frost Fever
[48463] = true,--Moonfire (Rank 14)
[55021] = true,--Silenced - Improved Counterspell (Rank 2)
[1044] = true,--Hand of Freedom
[55637] = true,--Lightweave
[51735] = true,--Ebon Plague
[60318] = true,--Edward's Insight
[61301] = true,--Riptide (Rank 4)
[48470] = true,--Gift of the Wild (Rank 4)
[49800] = true,--Rip (Rank 9)
[52610] = true, --Savage Roar (Rank 1)
[48932] = true, --Blessing of Might (Rank 10)
[47883] = true, --Soulstone Resurrection
[49236] = true, --Frost Shock (Rank 7)
[49233] = true, --Flame Shock (Rank 9)
[47891] = true, --Shadow Ward (Rank 6)
[20578] = true, --Cannibalize
[58374] = true, --Glyph of Blocking
[47813] = true, --Corruption (Rank 10)
[20170] = true, --Stun
[28730] = true, --Arcane Torrent (Racial)
[2374] = true, --Lesser Agility
[10308] = true,-- Hammer of Justice (Rank 4) (DR)
[10890] = true,--Psychic Scream (Rank 4)
[47481] = true,--Gnaw (Pet)

[47476] = true,--Strangulate (DR)

[49203] = true,--Hungering Cold (Rank 1) (DR)
--~ 	[1513] = true,--Scare Beast (Rank 1)
--~ 	[49012] = true, --Wyvern Sting (Rank 6)
--~ 	[61721] = true, --Polymorph (Rabbit)
--~ 	[20066] = true, --Repentance
[8643] = true, --Kidney Shot (Rank 2)
[53752] = true, --Lesser Flask of Toughness

[53601] = true,  --Sacred Shield (Rank 1)
[58799] = true, --Frostbrand Attack (Rank 9)
[26992] = true,  --Thorns (Rank 7)
[60346] = true, --Lightning Speed
[48451] = true, --Lifebloom (Rank 3)
[48564] = true, --Mangle (Bear) (Rank 5)
[60347] = true, --Mighty Thoughts
[53755] = true, --Flask of the Frost Wyrm
[47437] = true, --Demoralizing Shout (Rank 8)
[17364] = true, --Stormstrike
[48169] = true, --Shadow Protection (Rank 5)
[53307] = true, --Thorns (Rank 8)
[48170] = true, --Prayer of Shadow Protection (Rank 3)
[47811] = true, --Immolate (Rank 11)
}

--@end-debug@]===]